var prefManager = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);

function onOK() {
    prefManager.setBoolPref("dom.disable_window_open_feature.resizable", document.getElementById("resizeBox").checked);
    prefManager.setBoolPref("dom.disable_window_open_feature.menubar", document.getElementById("menubarBox").checked);
    prefManager.setBoolPref("dom.disable_window_open_feature.scrollbars", document.getElementById("scrollbarsBox").checked);
    prefManager.setBoolPref("dom.disable_window_open_feature.status", document.getElementById("statusBox").checked);
    prefManager.setBoolPref("dom.disable_window_open_feature.toolbar", document.getElementById("toolbarBox").checked);
    prefManager.setBoolPref("dom.disable_window_open_feature.location", document.getElementById("locationBox").checked);
    return true;
}

function onLoad() {
    document.getElementById("resizeBox").checked = prefManager.getBoolPref("dom.disable_window_open_feature.resizable");;
    document.getElementById("menubarBox").checked = prefManager.getBoolPref("dom.disable_window_open_feature.menubar");
    document.getElementById("scrollbarsBox").checked = prefManager.getBoolPref("dom.disable_window_open_feature.scrollbars");
    document.getElementById("statusBox").checked = prefManager.getBoolPref("dom.disable_window_open_feature.status");
    document.getElementById("toolbarBox").checked = prefManager.getBoolPref("dom.disable_window_open_feature.toolbar");
    document.getElementById("locationBox").checked = prefManager.getBoolPref("dom.disable_window_open_feature.location");
    return true;
}
